<?php

namespace Battle\Priem;

interface PriemInterface
{
    public const DAMAGE = 1;
    public const HEAL = 2;

    public const TAGRET_SELF = 1; //Приём на себя
    public const TARGET_CUSTOM = 2; //Приём на конкретного персонажа
    public const TARGET_RANDOM_ENEMY = 3; //Приём на случайного врага
    public const TARGET_RANDOM_FRIEND = 4; //Приём на случайного друга
    public const TARGET_RANDOM = 5; //Приём на случайного персонажа
    public const TARGET_RANDOM_ENEMIES = 6; //Приём на случайных врагов
    public const TARGET_RANDOM_FRIENDS = 7; //Приём на случайных друзей
    public const TARGET_RANDOMS = 8; //Приём на случайных персонажей
    public const TARGET_ALL_ENEMIES = 9; //Приём на всех врагов
    public const TARGET_ALL_FRIENDS = 10; //Приём на всех друзей
    public const TARGET_ALL = 11; //Приём на всех персонажей



    /**
     * Возвращает тип цели к которым применяется приём.
     * @return int
     */
    public function getTargetType(): int;

    /**
     * Возвращает силу действия приёма. Параметр на который изменится та или иная характеристика. Урон для боевых,
     * количество восстановленого здоровья для лечения, количество процентов для процентных значений.
     * @return int
     */
    public function getPower(): int;
}